---
title: "Why you should use libre software"
showTitle: true
tags: [
"open-source",
"philosophy"
]
date: 2022-11-26T18:42:53+02:00
---

Let me ask you a question: **do you control your software or does it control you?**
This should be an obvious one, you would think. *Of course, I own my software...
After all, I decide when I open what app, how long I use it and how I use.*

Is that right? Do you really decide how much time you spend on each app and
how you use it?

{{< image src="/images/pepe-computer-addicted.webp" position="center" style="width: 80%" >}}

# The problem with modern day software

Modern day software is **closed-source**. This not only means that the source
code is not available to the public to audit, but no one can contribute to the
project either. This affects you even if you don't know how to code, because
closed-source projects have total control over their users through their
**terms of service**.

Let us analyze an example of said control:

[{{< image src="/images/discord-tos-1.webp" position="center" style="width: 80%" >}}](https://discord.com/terms#5)
{{< center "(extracted from Discord TOS)" >}}

As we can see, you offer Discord the permission to almost do anything with your content, which includes:

* **Messages**
* **Images** (may include your memes, personal photos, profile picture etc.)
* **Voice calls**

This is especially dangerous in a hivemind like environment such as Discord,
where you don't give too much thought to what you post and say. What's more is
that your discord messages **are not encrypted in any way**, which is a **VERY
BIG** red flag, considering that one of Discord's [biggest investors is
Tencent](https://globalventuring.com/corporate/tencent-fuels-discord-for-20m-round/),
a Chinese company. Thus, all of your data on Discord now belongs to the CCP as
well, because all Chinese companies are required to report back the data they
collect to the government.

[{{< image src="/images/discord-privacy-2.webp" position="center" style="width: 80%" >}}](https://discord.com/privacy#6)
{{< center "(your data is not yours and we 'may' keep it for as long as we want)" >}}

Examples of abuses of privacy and control over users can be seen in **all** closed-source projects, without exception.

## Why care about data collection?

*I have nothing to hide! So why would I care about my online privacy?*

This statement is so common, that I figured people don't even think about what
it means before mentioning it. Obviously, saying that you don't care about
privacy is a lie and I will prove it to you:

* You wouldn't show your teacher your phone's content.
* You have some kind of password protection on your phone.
* You wouldn't show **your own parents** your phone's content.
* You wouldn't let a random person on the street look into your laptop.
* You wouldn't show your gallery to your employer.
* You wouldn't want an anonymous person to know where you live.

However, when it comes to online privacy, we let **every big tech company**
know us better than we know ourselves. **YouTube** knows exactly the topics you are
interested in and what kind of entertainment content you enjoy. **Instagram** knows
what type of people you would be friends with. **Tinder** knows what type of people
you would date. **TikTok** has **hundreds** of data-points about you, knowing
anything from your favourite color to your deepest concerns about real life.

Why is it dangerous? These companies' profit model is to keep you on their
platform for as much as possible: that's how they maximize their profits. So,
they will do anything in their power to have a monopoly on your attention span.
It's not unusual to see people glued to their phone's screen for 8 hours a day.

{{< image src="/images/wojak-phone-bed.webp" position="center" style="width: 80%" >}}

Everything you do online is influenced by these companies, in one way or
another. They control what's *cool*, trends, ideas, mentalities, and the worst
part is: **you don't even know you are being manipulated**. The best way to
control a population is to hijack their decisions, making them think they are
choosing for themselves, when in fact, you are the one choosing for them.

## Subscription models

Another *nice feature* of proprietary software is that you don't actually own
it, but instead are *allowed* to use it. Companies realised that charging for
software once is a bad business model, so they had the brilliant idea to charge
you monthly. In theory, it sounds like a win-win situation: you pay less and
companies get more money, but over time you end up paying more than a 1 time
purchase, and when you finally decide to end your subscription, you lose
everything you paid for up to that point.

{{< image src="/images/own-nothing.webp" position="center" style="width: 55%" >}}

Everything is subscription based nowadays, but one notorious actor is
**Adobe**. It used to be that you could pay once for Photoshop, but now you can
only use it if you pay a monthly fee. This creates an endless loop where the
user always comes back for another month, in order to continue working on their
projects. Thus, Adobe has a monopoly over digital media creation software, and
most users are stuck with it.

## Closed-source creating walled gardens

The reasons we, as humanity managed to advance so much is because we worked
together to achieve certain goals. We live in a day where technology is our
most powerful tool. However, having closed-source software rule our ecosystems
means we are limited to what the developer wants us to do with their software.

We've come to a point where we are forced to use some software because everyone
else uses it. Whether we talk about Microsoft Windows, Microsoft Office,
Whatsapp, Instagram or iMessage, we can observe how society adopted these
programs as an *open standard*, when in fact they are far from it.

It used to be that software was built on standards, not the other way around.
For example, chat protocols like XMPP, IRC, Matrix do not have their own
messaging applications, but other developers created software integrating these
programs. Web protocols, programming languages, server protocols are all
open-source, because you cannot have a standard be governed by one single
entity. Decentralisation is key to a better internet and better technology.

Big tech companies want us to relocate ourselves inside their own walled
garden, so they can get as much profit off of us as they can. This is why there
exists such a thing as the *trend of iPhones being cool and Androids being for
poor people*, even though [Samsungs can be more expensive than
iPhones](https://www.phonearena.com/news/galaxy-S22-vs-iphone-14-apple-isnt-the-expensive-brand-anymore_id137106).

# The solution: free and open-source software

{{< image src="/images/solution-pepe.webp" position="center" style="width: 80%" >}}

## What is free software?

Free software is not only free of cost, but also open to the public. This means
that anyone can audit, modify or redistribute the source code. FOSS solves the
problems mentioned above because no tracking and manipulation technology can be
implemented in this software, **because anyone would be able to see what the
developers were up to**. Free software evolved a lot, to the point where today
you can replace 100% of your computational activities with programs that
respect your freedoms.

## Examples of free and open source software:

These programs are immediate replacements to the proprietary software you are
currently using. Integrating as many of the programs listed below as possible
will give you a better computer experience, better privacy and as a result, a
better lifestyle.

### Linux

[{{< image src="/images/tux.webp" position="left" style="width: 20%; margin-right: 20px" >}}](https://www.kernel.org/)

[Linux](https://www.kernel.org/) is the most popular open-source project. It is
a kernel written entirely in C, and it is widely used on servers, but also on
desktops and phones (under Android).
You should definitely [replace your current operating system](https://linuxmint.com/) on your desktop /
laptop with Linux. A post about Linux will come by soon.

##

##

### Firefox

[{{< image src="/images/firefox.webp" position="left" style="width: 20%; margin-right: 20px" >}}](https://www.mozilla.org/en-US/firefox/new/)

[Firefox](https://www.mozilla.org/en-US/firefox/new/) is the only viable alternative to Chromium based browsers.
Although it does not provide the best privacy outside the box, it being open source allowed a new family of
privacy-friendly browsers to exist. For the average user,
the experience is **exactly the same as Chrome**, without all the spyware and
ads. It even allows you to import all of your bookmakers when installed. Note
that for maximum privacy you need **to configure** Firefox.

###      

### Element

[{{< image src="/logos/element.svg" position="left" style="width: 24%; margin-right: 20px" >}}](https://element.io/)

[Element](https://element.io/) is a messenger application using the decentralised, federated chat
protocol [Matrix](https://matrix.org/). You get to choose the server your data is stored on
(encrypted) and you can interact with any other user, regardless of their
server or client. In simpler words, multiple chat applications can communicate
with each other through multiple servers. With the power of decentralisation,
your data is safe and, in case of a server being compromised, you can always
switch to another.

###      

### Signal

[{{< image src="/logos/signal.svg" position="left" style="width: 22%; margin-right: 20px" >}}](https://signal.org/)

[Signal](https://signal.org/) is a centralised messenger application. It
requires a phone number, but is easy to use and similar to other proprietary
messenger apps. Messages are encrypted by default (verifiable through
open-source). If you are not willing to set up a Matrix account, you should use
Signal instead of WhatsApp.

##

##

# Not convinced yet?

Here is a YouTube video that should cover anything that I missed out on. **You should definitely only use libre
software**.
{{< youtube lNsjlvwHR-0 >}}
